# Class: Value

## ProtoBuf .Reflect .Enum. Value

#### new Value(buildernon-null, enmnon-null, name, id)

Constructs a new Enum Value.

##### Parameters:

Name | Type | Description
--- | --- | ---
`builder` | ProtoBuf.Builder | Builder reference
`enm` | ProtoBuf.Reflect.Enum | Enum reference
`name` | string | Field name
`id` | number | Unique field id

Source:
  - protobuf.js, line 3905

### Extends

- ProtoBuf.Reflect.T

### Members

#### (non-null) builder :ProtoBuf.Builder

Builder reference.

##### Type:

- ProtoBuf.Builder

Inherited From:
  - ProtoBuf.Reflect.T#builder
Source:
  - protobuf.js, line 1417

#### className :string

Fully qualified class name

##### Type:

- string

Overrides:
  - ProtoBuf.Reflect.T#className
Source:
  - protobuf.js, line 1438

#### id :number

Unique enum value id.

##### Type:

- number

Source:
  - protobuf.js, line 3918

#### name :string

Object name in namespace.

##### Type:

- string

Inherited From:
  - ProtoBuf.Reflect.T#name
Source:
  - protobuf.js, line 1431

#### (nullable) parent :ProtoBuf.Reflect.T

Parent object.

##### Type:

- ProtoBuf.Reflect.T

Inherited From:
  - ProtoBuf.Reflect.T#parent
Source:
  - protobuf.js, line 1424

### Methods

#### build()

Builds this type.

Inherited From:
  - ProtoBuf.Reflect.T#build
Source:
  - protobuf.js, line 1479

##### Throws:

If this type cannot be built directly

Type
  Error

#### fqn() → {string}

Returns the fully qualified name of this object.

Inherited From:
  - ProtoBuf.Reflect.T#fqn
Source:
  - protobuf.js, line 1452

##### Returns:

Fully qualified name as of ".PATH.TO.THIS"

Type
  string

#### toString(includeClassopt)

Returns a string representation of this Reflect object (its fully qualified name).

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`includeClass` | boolean | <optional> | Set to true to include the class name. Defaults to false.

Inherited From:
  - ProtoBuf.Reflect.T#toString
Source:
  - protobuf.js, line 1470

##### Returns:

String representation